Bug 675400 - minicom crashes when selecting non-readable directory
minicom crashes when selecting non-readable directory
Product: Fedora
Classification: Fedora
Component: minicom (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Görig
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-02-05 07:15 EST by Niels de Vos
Modified: 2011-02-24 01:30 EST (History)
1 user (show)

See Also:
Fixed In Version: minicom-2.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-24 01:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (9.28 KB, text/plain)
2011-02-05 07:15 EST, Niels de Vos
no flags Details

  None (edit)
Description Niels de Vos 2011-02-05 07:15:15 EST
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: minicom
component: minicom
crash_function: __libc_message
executable: /usr/bin/minicom
package: minicom-2.4-3.fc14
rating: 4
reason: Process /usr/bin/minicom was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1296907283
uid: 501

After inspecting, it looks like this is related to the permissions of the directory given:

$ ls /var/lib/libvirt/images/
ls: cannot open directory /var/lib/libvirt/images/: Permission denied

When passing a directory that is accessible, the SEGFAULT does not occur.

How to reproduce
1. connect to ttyUSB0
2. select 'send file' (CTRL+A, S)
3. select 'kermit'
4. select [goto]
5. type the name of a directory where the file to send is located
6. SEGFAULT on <double free> - directory listing is not displayed
Comment 1 Niels de Vos 2011-02-05 07:15:17 EST
Created attachment 477189 [details]
File: backtrace
Comment 2 Jan Görig 2011-02-09 05:48:54 EST
Thank you for your bug report. Bug occurs on directories with permission to access files but with no permission to read file list.
Comment 3 Fedora Update System 2011-02-09 06:02:32 EST
minicom-2.5-2.fc14 has been submitted as an update for Fedora 14.
Comment 4 Fedora Update System 2011-02-09 15:16:56 EST
minicom-2.5-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update minicom'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/minicom-2.5-2.fc14
Comment 5 Niels de Vos 2011-02-09 17:38:29 EST
Thanks, minicom-2.5-2.fc14 works for me.
Comment 6 Fedora Update System 2011-02-24 01:30:33 EST
minicom-2.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.